Package tigase.monitor.tasks

# Class ScriptTimerTask

java.lang.Object
tigase.monitor.tasks.AbstractConfigurableTask
tigase.monitor.tasks.AbstractConfigurableTimerTask
tigase.monitor.tasks.ScriptTimerTask

All Implemented Interfaces:
  `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`

public class ScriptTimerTask extends AbstractConfigurableTimerTask implements ConfigurableTask

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Bindings`
  `bindings`
  `protected ScriptEngineManager`
  `scriptEngineManager`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptTimerTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Bindings`
  `getBindings()`
  `String`
  `getScript()`
  `ScriptEngineManager`
  `getScriptEngineManager()`
  `String`
  `getScriptExtension()`
  `protected void`
  `run()`
  `void`
  `setBindings(Bindings bindings)`
  `void`
  `setScript(String script, String scriptExtension)`
  `void`
  `setScriptEngineManager(ScriptEngineManager scriptEngineManager)`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTimerTask

  `beforeUnregister, disable, enable, getCurrentConfiguration, getPeriod, getTimerTaskService, setNewConfiguration, setPeriod, setTimerTaskService`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

  `initialize, isEnabled, setEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.monitor.ConfigurableTask

  `getCurrentConfiguration, setNewConfiguration`

- ## Field Details

  - ### bindings

    @Inject protected Bindings bindings

  - ### scriptEngineManager

    @Inject protected ScriptEngineManager scriptEngineManager

- ## Constructor Details

  - ### ScriptTimerTask

    public ScriptTimerTask()

- ## Method Details

  - ### getBindings

    public Bindings getBindings()

  - ### setBindings

    public void setBindings(Bindings bindings)

  - ### getScript

    public String getScript()

  - ### getScriptEngineManager

    public ScriptEngineManager getScriptEngineManager()

  - ### setScriptEngineManager

    public void setScriptEngineManager(ScriptEngineManager scriptEngineManager)

  - ### getScriptExtension

    public String getScriptExtension()

  - ### setScript

    public void setScript(String script, String scriptExtension)

  - ### run

    protected void run()
    Specified by:
      `run` in class `AbstractConfigurableTimerTask`